# DescribeVncUrl

## 1. API Description

This API (DescribeVncUrl) is used to obtain the VNC address of the instance.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description  |
| -------------- | -------- | ------ | ------------ |
| instanceId     | Yes      | String | Instance ID. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| url            | String | VNC URL address.                                                                                                      |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Get the VNC URL address.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeVncUrl
<Common Request Params>

Request：
{
    "instanceId": "<instanceId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
    "url": "https://vnc-9ffe9cca2bee8819fca103fb3bd6227d.ams2d.cloud.zenworks.net/?tk=912e5xxxxxxxx8babf2ee2"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                        | Description                                                                    |
| ---------------- | ------------------------------------------------- | ------------------------------------------------------------------------------ |
| 403              | OPERATION\_DENIED\_INSTANCE\_STATUS\_NOT\_SUPPORT | Only operations on instances whose status is RUNNING or STOPPED are supported. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/describevncurl.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
